ITPub博客

首页 > Linux操作系统 > Linux操作系统 > 【Oracle】rman 的兼容策略

【Oracle】rman 的兼容策略

原创 Linux操作系统 作者:杨奇龙 时间:2012-06-16 12:37:35 0 删除 编辑
rman 的兼容策略(oracle 11.2 rman catalog 兼容策略!)
1 原则上你可以在8.1.x的数据库上创建8.x 或者9.x的回复目录对象,在9.0.1或者更高的版本上创建10.0.1或者更高版本的恢复目录对象
2 恢复目录对象的版本必须高于或者等于rman 客户端的版本
3 如果恢复目录是虚拟私有目录。连接恢复目录的rmam的客户端必须在patch level 10.1.0.6 或者10.2.0.3 ,oracle 9i rman   客户端不能连接虚拟私有恢复目录,即使基恢复目录有虚拟私有目录用户。
4 最好的情况是rman 客户端和目标数据库版本是一致的(兼容情况见下表)。rman 客户端的版本不能高于目标或者辅助数据库
5 当使用9i的恢复目录备份10g或者更高的数据库时,不能包含compatible=10.0.0 的控制文件
6 Any release of Oracle database can restore backup sets and copies created by any prior release back to Oracle8i.

Target/Auxiliary DatabaseRMAN clientRecovery Catalog DatabaseRecovery Catalog Schema

8.0.6

8.0.6

>=8.1.7

>=8.0.6

8.1.7

8.0.6.1

>=8.1.7

>=8.1.7

8.1.7

8.1.7

>=8.1.7

>=RMAN client

8.1.7.4

8.1.7.4

>=8.1.7

8.1.7.4

8.1.7.4

8.1.7.4

>=8.1.7

>= 9.0.1.4

9.0.1

9.0.1

>=8.1.7

>= RMAN client

9.2.0

>=9.0.1.3 and <= target database executable

>=8.1.7

>= RMAN client

10.1.0

>=9.0.1.3 and <= target database executable

>=9.0.1

>= RMAN client

10.2.0

>=9.0.1.3 and <= target database executable

>=9.0.1

>= RMAN client

11.1.0

>=9.0.1.3 and <= target database executable

>=10.2.0.3

>= RMAN client

11.2.0

>=9.0.1.3 and <= target database executable

>=10.2.0.3

>= RMAN client


注意:
  当使用一个高版本的数据库使用一个低版本的rman客户端,此时你不能使用新版本rman的特性。比如当你使用9i的RMAN 版本去备份10g 数据库时,你不能使用10g rman的新特性比如说 fast recovery area, flashback database, TSPITR (传输表空间)或者回复一个resetlogs 打开的数据库!

来自 “ ITPUB博客 ” ,链接:http://blog.itpub.net/22664653/viewspace-733027/,如需转载,请注明出处,否则将追究法律责任。

请登录后发表评论 登录
全部评论
MySQL DBA NoSQL DEVOPS

注册时间:2009-10-07

  • 博文量
    1026
  • 访问量
    7496759